#pragma once

#include "device_config.h"
#include "environment.h"

#include <string>

#ifdef ENVIRONMENT_NAMESPACE
const std::string DEVICE_NAMESPACE(ENVIRONMENT_NAMESPACE + "device/" + static_cast<std::string>(DEVICE_NAME) + "/");
#else
const std::string DEVICE_NAMESPACE("device/" + static_cast<std::string>(DEVICE_NAME) + "/");
#endif

const std::string STATUS_TOPIC(DEVICE_NAMESPACE + "status");
const std::string STATUS_MESSAGE_ONLINE("online");
const std::string STATUS_MESSAGE_OFFLINE("offline");

const std::string FIRMWARE_COMMAND_TOPIC(DEVICE_NAMESPACE + "command");

const std::string OTA_FIRMWARE_TOPIC(DEVICE_NAMESPACE + "ota/$firmware");
const std::string OTA_PROGRESS_TOPIC(DEVICE_NAMESPACE + "ota/progress");
const std::string OTA_STATE_TOPIC(DEVICE_NAMESPACE + "ota/state");
const std::string OTA_ERROR_TOPIC(DEVICE_NAMESPACE + "ota/error");
