#include "qthing/time.hpp"

bool qthing::get_localtime(tm& result) {
  time_t now = time(NULL);
  localtime_r(&now, &result);
  return result.tm_year > 100;
}

std::optional<tm> qthing::get_localtime() {
  tm result;
  if (qthing::get_localtime(result)) {
    return result;
  } else {
    return {};
  }
}
