#pragma once

#include <stdint.h>

#include <functional>
#include <string>

#include "driver/gpio.h"
#include "qthing_legacy.hpp"

namespace qthing {

#ifndef QTHING_HIDE_PRIVATE_API

void gpio_init_input(gpio_num_t gpio_num);
void gpio_init_output(gpio_num_t gpio_num, uint32_t level);
void pulse_relay(gpio_num_t gpio_off);

#endif

}  // namespace qthing
