#pragma once

#include <string>

#include "driver/gpio.h"

namespace qthing {

#ifndef QTHING_HIDE_PRIVATE_API

void rc_switch_on(const std::string& code);
void rc_switch_off(const std::string& code);
void rc_switch(const std::string& code, bool state);

void rc_enable_send(const std::string& send_on_topic, const std::string& send_off_topic, gpio_num_t gpio);
void rc_enable_receive(const std::string& topic, gpio_num_t gpio);

#endif

}  // namespace qthing
